From 8de5c977686270b0a4e666a924ebe820a245913a Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 24 Jul 2022 23:09:12 -0500
Subject: [PATCH 05/25] silence make distprep and generated-headers

this saves vertical screen space.

https://www.postgresql.org/message-id/20220221164736.rq3ornzjdkmwk2wo@alap3.anarazel.de

ci-os-only: linux
---
 src/backend/Makefile | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/src/backend/Makefile b/src/backend/Makefile
index f498cfd5930..f4a5d4a4aa6 100644
--- a/src/backend/Makefile
+++ b/src/backend/Makefile
@@ -128,15 +128,15 @@ storage/lmgr/lwlocknames.h: storage/lmgr/generate-lwlocknames.pl storage/lmgr/lw
 
 # run this unconditionally to avoid needing to know its dependencies here:
 submake-catalog-headers:
-	$(MAKE) -C catalog distprep generated-header-symlinks
+	@$(MAKE) -s -C catalog distprep generated-header-symlinks
 
 # run this unconditionally to avoid needing to know its dependencies here:
 submake-nodes-headers:
-	$(MAKE) -C nodes distprep generated-header-symlinks
+	@$(MAKE) -s -C nodes distprep generated-header-symlinks
 
 # run this unconditionally to avoid needing to know its dependencies here:
 submake-utils-headers:
-	$(MAKE) -C utils distprep generated-header-symlinks
+	@$(MAKE) -s -C utils distprep generated-header-symlinks
 
 .PHONY: submake-catalog-headers submake-nodes-headers submake-utils-headers
 
@@ -172,14 +172,15 @@ utils/probes.o: utils/probes.d $(SUBDIROBJS)
 ##########################################################################
 
 # Be sure that these files get removed by the maintainer-clean target
+#
 distprep:
 	$(MAKE) -C parser	gram.c gram.h scan.c
 	$(MAKE) -C bootstrap	bootparse.c bootscanner.c
 	$(MAKE) -C catalog	distprep
-	$(MAKE) -C nodes	distprep
+	$(MAKE) -C nodes   	distprep
 	$(MAKE) -C replication	repl_gram.c repl_scanner.c syncrep_gram.c syncrep_scanner.c
 	$(MAKE) -C storage/lmgr	lwlocknames.h lwlocknames.c
-	$(MAKE) -C utils	distprep
+	$(MAKE) -C utils 	distprep
 	$(MAKE) -C utils/adt	jsonpath_gram.c jsonpath_scan.c
 	$(MAKE) -C utils/misc	guc-file.c
 
-- 
2.17.1

